postgress failed to start

Questions and discussion about PokerTracker 4 for Windows

Moderators: WhiteRider, kraada, Flag_Hippo, morny

postgress failed to start

Postby seadog » Mon Apr 21, 2014 2:13 am

Failed to start server pqsql-8.3:Errcode=1069
check event logs for details.

This occured after I played with user accounts and restarted my PC

The PT4 error that pops up is unable to log in to databse (postgres). reason: could not connect to server.
Is the server running on host "???" and accepting TCP/IP connections on port 5432?

before I screw anything up, where should I start?
seadog
 
Posts: 90
Joined: Sun Dec 04, 2011 12:12 am

Re: postgress failed to start

Postby WhiteRider » Mon Apr 21, 2014 3:36 am

It is possible that you altered the 'postgres' user which is vital for PostgreSQL to work. Without knowing what you did I'm not sure how to reverse the changes, but you could uninstall and reinstall PostgreSQL and that will recreate the postgres user without removing your databases.

Follow this guide to uninstall and reinstall. Note that to reconnect to your existing databases you will need to reinstall the same major version that you currently have (from your error message that is 8.3).
WhiteRider
Moderator
 
Posts: 53569
Joined: Sat Jan 19, 2008 7:06 pm
Location: UK

Re: postgress failed to start

Postby seadog » Mon Apr 21, 2014 7:32 am

All I did was disable user control setting restarted me pc and the re-enabled user accounts

postgres 8.3 no longer supported, I tried 9.3 and 8.4, poker tracker database are no longer available,
probably due to uninstalling them via cmd the guide said to do.
Can't do anything, stuck!
guide says things that the installer never showed, guide not close to what I am seeing...
seadog
 
Posts: 90
Joined: Sun Dec 04, 2011 12:12 am

Re: postgress failed to start

Postby kraada » Mon Apr 21, 2014 7:51 am

You won't be able to just restore the 8.3 database in anything other than 8.3. I'm aware that they aren't adding new releases for 8.3, but you can install it and back your database up and then if you upgrade to 9.0 or further (9.0 is the latest PostgreSQL officially supported, but we do expect that support to likely expand when 4.11 is released) you can restore from that backup.
kraada
Moderator
 
Posts: 54435
Joined: Wed Mar 05, 2008 2:32 am
Location: NY


Return to PokerTracker 4

Who is online

Users browsing this forum: Google [Bot] and 4 guests

cron